### Hierarchy

- EditorDialog
  - SearchDialog

## Index

### Properties

- availableViews
- children
- description
- dialogClassName
- dialogMode
- domainClassName
- header
- id
- recordDef
- recordId
- referringObject
- selectedViewId
- sessionId
- tenantId
- type
- view
- viewMode
- BINARY_CHUNK_SIZE
- SEARCH_DIALOG_CLASS

### Accessors

- anyChildNeedsRefresh
- attributeCells
- catavolt
- constants
- error
- hasError
- isDestroyed
- isReadMode
- isReadViewMode
- isRefreshNeeded
- isWriteMode
- labelsByPropName
- lastRefreshTime
- menu
- paneTitle
- propertyDefs
- props
- record
- recordNow
- viewDescs

### Methods

- changeViewMode
- clearSearchValues
- clearSortValues
- destroy
- findMenuAt
- formatForRead
- formatForWrite
- getAvailableValues
- getKeywordSearchValue
- getProperty
- getPropertyNameForSearchPropertyName
- getSearchOpPropertyDefForName
- getSearchOpPropertyForName
- getSearchValuePropertyDefForName
- getSearchValuePropertyForName
- getSearchablePropertyNames
- getSortDirectionPropertyDefForName
- getSortDirectionPropertyForName
- getSortPriorityPropertyDefForName
- getSortPriorityPropertyForName
- getSortablePropertyNames
- initialize
- invokeMenuAction
- invokeMenuActionWithId
- isAscending
- isBinary
- isDescending
- isReadModeFor
- isSignature
- newLargePropertyWithDataUrl
- newLargePropertyWithEncodedData
- newProperty
- openView
- openViewWithId
- parseValue
- performMenuAction
- performMenuActionWithId
- processSideEffects
- propDefAtName
- read
- readLargeProperties
- readLargeProperty
- reopenSearch
- setAscending
- setDescending
- setKeywordSearchValue
- setLargePropertyWithDataUrl
- setLargePropertyWithEncodedData
- setPropertyValue
- setSearchValue
- setSearchValueOperation
- setSortValue
- streamLargeProperty
- submitSearch
- updateSettingsWithNewDialogProperties
- write
- writeAttachment
- writeAttachments
- writeLargeProperties
- writeLargeProperty
- getSubType
- isSearchDialog
- loadLargeProperty

## Properties

### availableViews

availableViews: ViewDescriptor[]

Inherited from Dialog.availableViews

- Defined in models/Dialog.ts:35

### children

children: Dialog[] = []

Inherited from Dialog.children

- Defined in models/Dialog.ts:37

### description

description: string

Inherited from Dialog.description

- Defined in models/Dialog.ts:38

### dialogClassName

dialogClassName: string

Inherited from Dialog.dialogClassName

- Defined in models/Dialog.ts:39

### dialogMode

dialogMode: DialogMode

Inherited from Dialog.dialogMode

- Defined in models/Dialog.ts:40

### domainClassName

domainClassName: string

Inherited from Dialog.domainClassName

- Defined in models/Dialog.ts:36

### header

header: View

Inherited from Dialog.header

- Defined in models/Dialog.ts:41

### id

id: string

Inherited from Dialog.id

- Defined in models/Dialog.ts:42

### recordDef

recordDef: RecordDef

Inherited from Dialog.recordDef

- Defined in models/Dialog.ts:43

### recordId

recordId: string

Inherited from EditorDialog.recordId

- Defined in models/EditorDialog.ts:29

### referringObject

referringObject: ReferringObject

Inherited from Dialog.referringObject

- Defined in models/Dialog.ts:44

### selectedViewId

selectedViewId: string

Inherited from Dialog.selectedViewId

- Defined in models/Dialog.ts:45

### sessionId

sessionId: string

Inherited from Dialog.sessionId

- Defined in models/Dialog.ts:46

### tenantId

tenantId: string

Inherited from Dialog.tenantId

- Defined in models/Dialog.ts:47

### type

type: DialogType

Inherited from Dialog.type

- Defined in models/Dialog.ts:48

### view

view: View

Inherited from Dialog.view

- Defined in models/Dialog.ts:49

### viewMode

viewMode: ViewMode

Inherited from Dialog.viewMode

- Defined in models/Dialog.ts:50

### Static BINARY_CHUNK_SIZE

BINARY_CHUNK_SIZE: number = 128 * 1024

Inherited from Dialog.BINARY_CHUNK_SIZE

- Defined in models/Dialog.ts:32

### Static SEARCH_DIALOG_CLASS

SEARCH_DIALOG_CLASS: string = "SearchQueryModel"

Inherited from Dialog.SEARCH_DIALOG_CLASS

- Defined in models/Dialog.ts:31

## Accessors

### anyChildNeedsRefresh

- get anyChildNeedsRefresh(): boolean

- Inherited from Dialog.anyChildNeedsRefresh

  - Defined in models/Dialog.ts:67

  #### Returns boolean

### attributeCells

- get attributeCells(): AttributeCellValue[]

- Inherited from EditorDialog.attributeCells

  - Defined in models/EditorDialog.ts:83

  #### Returns AttributeCellValue[]

### catavolt

- get catavolt(): CatavoltApi

- Inherited from Dialog.catavolt

  - Defined in models/Dialog.ts:63

  #### Returns CatavoltApi

### constants

- get constants(): string[]

- Inherited from EditorDialog.constants

  - Defined in models/EditorDialog.ts:76

  #### Returns string[]

### error

- get error(): DialogException

- Inherited from Dialog.error

  - Defined in models/Dialog.ts:87

  Return the error associated with this dialog, if any

  #### Returns DialogException

### hasError

- get hasError(): boolean

- Inherited from Dialog.hasError

  - Defined in models/Dialog.ts:131

  Returns whether or not this dialog loaded properly

  #### Returns boolean

### isDestroyed

- get isDestroyed(): boolean

- Inherited from Dialog.isDestroyed

  - Defined in models/Dialog.ts:139

  Returns whether or not this Form is destroyed

  #### Returns boolean

### isReadMode

- get isReadMode(): boolean

- Inherited from EditorDialog.isReadMode

  - Defined in models/EditorDialog.ts:137

  Returns whether or not this Editor is in 'read' mode

  #### Returns boolean

### isReadViewMode

- get isReadViewMode(): boolean

- Inherited from Dialog.isReadViewMode

  - Defined in models/Dialog.ts:151

  #### Returns boolean

### isRefreshNeeded

- get isRefreshNeeded(): boolean

- Inherited from Dialog.isRefreshNeeded

  - Defined in models/Dialog.ts:147

  Returns whether or not the data in this dialog is out of date

  #### Returns boolean

### isWriteMode

- get isWriteMode(): boolean

- Inherited from EditorDialog.isWriteMode

  - Defined in models/EditorDialog.ts:168

  Returns whether or not this property is 'writable'

  #### Returns boolean

### labelsByPropName

- get labelsByPropName(): StringDictionary

- Inherited from EditorDialog.labelsByPropName

  - Defined in models/EditorDialog.ts:90

  #### Returns StringDictionary

### lastRefreshTime

- get lastRefreshTime(): Date
- set lastRefreshTime(time: Date): void

- Inherited from Dialog.lastRefreshTime

  - Defined in models/Dialog.ts:159

  Get the last time this dialog's data was refreshed

  #### Returns Date

- Inherited from Dialog.lastRefreshTime

  - Defined in models/Dialog.ts:166

  Get the last time this dialog's data was refreshed

  #### Parameters

  - ##### time: Date

  #### Returns void

### menu

- get menu(): Menu

- Inherited from Dialog.menu

  - Defined in models/Dialog.ts:174

  Get the all Menu's associated with this dialog

  #### Returns Menu

### paneTitle

- get paneTitle(): string

- Inherited from Dialog.paneTitle

  - Defined in models/Dialog.ts:197

  Get the title of this dialog

  #### Returns string

### propertyDefs

- get propertyDefs(): PropertyDef[]

- Inherited from EditorDialog.propertyDefs

  - Defined in models/EditorDialog.ts:72

  #### Returns PropertyDef[]

### props

- get props(): Property[]

- Inherited from EditorDialog.props

  - Defined in models/EditorDialog.ts:68

  Get the associated properties

  #### Returns Property[]

### record

- get record(): Record

- Inherited from EditorDialog.record

  - Defined in models/EditorDialog.ts:103

  Get the associated entity record

  #### Returns Record

### recordNow

- get recordNow(): Record

- Inherited from EditorDialog.recordNow

  - Defined in models/EditorDialog.ts:111

  Get the current version of the entity record, with any pending changes present

  #### Returns Record

### viewDescs

- get viewDescs(): ViewDescriptor[]

- Inherited from Dialog.viewDescs

  - Defined in models/Dialog.ts:281

  Get the all ViewDescriptor's associated with this Form

  #### Returns ViewDescriptor[]

## Methods

### changeViewMode

- changeViewMode(viewMode: ViewMode): Promise<EditorDialog | Redirection>

- Inherited from EditorDialog.changeViewMode

  - Defined in models/EditorDialog.ts:43

  #### Parameters

  - ##### viewMode: ViewMode

  #### Returns Promise<EditorDialog | Redirection>

### clearSearchValues

- clearSearchValues(): void

- - Defined in models/SearchDialog.ts:18

  Clear the search values currently in the buffer. Does not submit search.

  #### Returns void

### clearSortValues

- clearSortValues(): void

- - Defined in models/SearchDialog.ts:29

  Clear the sort values currently in the buffer. Does not submit search.

  #### Returns void

### destroy

- destroy(): Promise<void>

- Inherited from Dialog.destroy

  - Defined in models/Dialog.ts:77

  #### Returns Promise<void>

### findMenuAt

- findMenuAt(actionId: string): Menu

- Inherited from Dialog.findMenuAt

  - Defined in models/Dialog.ts:100

  Find a menu def on this dialog with the given actionId

  #### Parameters

  - ##### actionId: string

  #### Returns Menu

### formatForRead

- formatForRead(prop: Property, propName: string): string

- Inherited from Dialog.formatForRead

  - Defined in models/Dialog.ts:112

  Get a string representation of this property suitable for 'reading'

  #### Parameters

  - ##### prop: Property

  - ##### propName: string

  #### Returns string

### formatForWrite

- formatForWrite(prop: Property, propName: string): string

- Inherited from Dialog.formatForWrite

  - Defined in models/Dialog.ts:123

  Get a string representation of this property suitable for 'writing'

  #### Parameters

  - ##### prop: Property

  - ##### propName: string

  #### Returns string

### getAvailableValues

- getAvailableValues(propName: string): Promise<any[]>

- Inherited from EditorDialog.getAvailableValues

  - Defined in models/EditorDialog.ts:115

  #### Parameters

  - ##### propName: string

  #### Returns Promise<any[]>

### getKeywordSearchValue

- getKeywordSearchValue(): Property

- - Defined in models/SearchDialog.ts:83

  Get the current keyword search value. This is a global substring search across all properties

  #### Returns Property

### Protected getProperty

- getProperty(params: ReadLargePropertyParameters, propertyName: string): Promise<LargeProperty>

- Inherited from EditorDialog.getProperty

  Overrides Dialog.getProperty

  - Defined in models/EditorDialog.ts:359

  #### Parameters

  - ##### params: ReadLargePropertyParameters

  - ##### propertyName: string

  #### Returns Promise<LargeProperty>

### getPropertyNameForSearchPropertyName

- getPropertyNameForSearchPropertyName(searchPropertyName: string): string

- - Defined in models/SearchDialog.ts:65

  #### Parameters

  - ##### searchPropertyName: string

  #### Returns string

### getSearchOpPropertyDefForName

- getSearchOpPropertyDefForName(propName: string): PropertyDef

- - Defined in models/SearchDialog.ts:99

  Get the PropertyDef associated with the search operator Property

  #### Parameters

  - ##### propName: string

  #### Returns PropertyDef

### getSearchOpPropertyForName

- getSearchOpPropertyForName(propName: string): Property

- - Defined in models/SearchDialog.ts:91

  Get the current search operator for a property name, as a Property

  #### Parameters

  - ##### propName: string

  #### Returns Property

### getSearchValuePropertyDefForName

- getSearchValuePropertyDefForName(propName: string): PropertyDef

- - Defined in models/SearchDialog.ts:49

  Get the PropertyDef associated with the search value Property

  #### Parameters

  - ##### propName: string

  #### Returns PropertyDef

### getSearchValuePropertyForName

- getSearchValuePropertyForName(propName: string): Property

- - Defined in models/SearchDialog.ts:41

  Get the current search value for a property name, as a Property

  #### Parameters

  - ##### propName: string

  #### Returns Property

### getSearchablePropertyNames

- getSearchablePropertyNames(): string[]

- - Defined in models/SearchDialog.ts:53

  #### Returns string[]

### getSortDirectionPropertyDefForName

- getSortDirectionPropertyDefForName(propName: string): PropertyDef

- - Defined in models/SearchDialog.ts:115

  Get the PropertyDef associated with the sort direction

  #### Parameters

  - ##### propName: string

  #### Returns PropertyDef

### getSortDirectionPropertyForName

- getSortDirectionPropertyForName(propName: string): Property

- - Defined in models/SearchDialog.ts:107

  Get the current sort direction for a property name, as a Property

  #### Parameters

  - ##### propName: string

  #### Returns Property

### getSortPriorityPropertyDefForName

- getSortPriorityPropertyDefForName(propName: string): PropertyDef

- - Defined in models/SearchDialog.ts:131

  Get the PropertyDef associated with the sort priority

  #### Parameters

  - ##### propName: string

  #### Returns PropertyDef

### getSortPriorityPropertyForName

- getSortPriorityPropertyForName(propName: string): Property

- - Defined in models/SearchDialog.ts:123

  Get the current sort priority for a property name, as a Property

  #### Parameters

  - ##### propName: string

  #### Returns Property

### getSortablePropertyNames

- getSortablePropertyNames(): string[]

- - Defined in models/SearchDialog.ts:59

  #### Returns string[]

### initialize

- initialize(catavolt: CatavoltApi): void

- Inherited from Dialog.initialize

  - Defined in models/Dialog.ts:285

  #### Parameters

  - ##### catavolt: CatavoltApi

  #### Returns void

### Protected invokeMenuAction

- invokeMenuAction(menu: Menu, actionParams: ActionParameters): Promise<Redirection>

- Inherited from Dialog.invokeMenuAction

  - Defined in models/Dialog.ts:316

  Perform this action associated with the given Menu on this dialog. The targets array is expected to be an array of object ids.

  #### Parameters

  - ##### menu: Menu

  - ##### actionParams: ActionParameters

  #### Returns Promise<Redirection>

  | Redirection>}

### Protected invokeMenuActionWithId

- invokeMenuActionWithId(actionId: string, actionParams: ActionParameters): Promise<Redirection>

- Inherited from Dialog.invokeMenuActionWithId

  - Defined in models/Dialog.ts:296

  #### Parameters

  - ##### actionId: string

  - ##### actionParams: ActionParameters

  #### Returns Promise<Redirection>

### isAscending

- isAscending(propName: string): boolean

- - Defined in models/SearchDialog.ts:139

  Returns whether or not the sort direction for a property is set to ascending

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isBinary

- isBinary(cellValue: AttributeCellValue): boolean

- Inherited from EditorDialog.isBinary

  - Defined in models/EditorDialog.ts:128

  Returns whether or not this cell definition contains a binary value

  #### Parameters

  - ##### cellValue: AttributeCellValue

  #### Returns boolean

### isDescending

- isDescending(propName: string): boolean

- - Defined in models/SearchDialog.ts:150

  Returns whether or not the sort direction for a property is set to descending

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isReadModeFor

- isReadModeFor(propName: string): boolean

- Inherited from EditorDialog.isReadModeFor

  - Defined in models/EditorDialog.ts:146

  Returns whether or not this property is read-only

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isSignature

- isSignature(cellValueDef: AttributeCellValue): boolean

- Inherited from EditorDialog.isSignature

  - Defined in models/EditorDialog.ts:159

  Returns whether or not this cell definition contains a binary value that should be treated as a signature control

  #### Parameters

  - ##### cellValueDef: AttributeCellValue

  #### Returns boolean

### newLargePropertyWithDataUrl

- newLargePropertyWithDataUrl(dataUrl: string): LargeProperty

- Inherited from EditorDialog.newLargePropertyWithDataUrl

  - Defined in models/EditorDialog.ts:279

  #### Parameters

  - ##### dataUrl: string

  #### Returns LargeProperty

### newLargePropertyWithEncodedData

- newLargePropertyWithEncodedData(encodedData: string, mimeType?: string): LargeProperty

- Inherited from EditorDialog.newLargePropertyWithEncodedData

  - Defined in models/EditorDialog.ts:287

  #### Parameters

  - ##### encodedData: string

  - ##### Optional mimeType: string

  #### Returns LargeProperty

### newProperty

- newProperty(name: string, value: any): Property

- Inherited from EditorDialog.newProperty

  - Defined in models/EditorDialog.ts:268

  #### Parameters

  - ##### name: string

  - ##### value: any

  #### Returns Property

### openView

- openView(targetViewDescriptor: ViewDescriptor): Promise<Dialog>

- Inherited from Dialog.openView

  - Defined in models/Dialog.ts:189

  #### Parameters

  - ##### targetViewDescriptor: ViewDescriptor

  #### Returns Promise<Dialog>

### openViewWithId

- openViewWithId(viewId: string): Promise<Dialog>

- Inherited from Dialog.openViewWithId

  - Defined in models/Dialog.ts:178

  #### Parameters

  - ##### viewId: string

  #### Returns Promise<Dialog>

### parseValue

- parseValue(formattedValue: any, propName: string): any

- Inherited from Dialog.parseValue

  - Defined in models/Dialog.ts:211

  Parses a value to prepare for 'writing' back to the server

  #### Parameters

  - ##### formattedValue: any

  - ##### propName: string

  #### Returns any

### performMenuAction

- performMenuAction(menu: Menu): Promise<Redirection>

- Inherited from EditorDialog.performMenuAction

  - Defined in models/EditorDialog.ts:189

  Perform the action associated with the given Menu on this EditorDialog Given that the Editor could possibly be destroyed as a result of this action, any provided pending writes will be saved if present.

  #### Parameters

  - ##### menu: Menu

  #### Returns Promise<Redirection>

  | Redirection>}

### performMenuActionWithId

- performMenuActionWithId(actionId: string): Promise<Redirection>

- Inherited from EditorDialog.performMenuActionWithId

  - Defined in models/EditorDialog.ts:172

  #### Parameters

  - ##### actionId: string

  #### Returns Promise<Redirection>

### processSideEffects

- processSideEffects(propertyName: string, value: any): Promise<void>

- Inherited from EditorDialog.processSideEffects

  - Defined in models/EditorDialog.ts:204

  Properties whose PropertyDef.canCauseSideEffects value is true, may change other underlying values in the model. This method will update those underlying values, given the property name that is changing, and the new value. This is frequently used with EditorDialog.getAvailableValues. When a value is selected, other properties' available values may change. (i.e. Country, State, City dropdowns)

  #### Parameters

  - ##### propertyName: string

  - ##### value: any

  #### Returns Promise<void>

### propDefAtName

- propDefAtName(propName: string): PropertyDef

- Inherited from Dialog.propDefAtName

  - Defined in models/Dialog.ts:220

  Get the property definition for a property name

  #### Parameters

  - ##### propName: string

  #### Returns PropertyDef

### read

- read(): Promise<Record>

- Inherited from EditorDialog.read

  - Defined in models/EditorDialog.ts:242

  Read (load) the Record assocated with this Editor The record must be read at least once to initialize the Context

  #### Returns Promise<Record>

### readLargeProperties

- readLargeProperties(recordId: string): Promise<LargeProperty[]>

- Inherited from Dialog.readLargeProperties

  - Defined in models/Dialog.ts:230

  Read all the large property values into memory in this Record

  #### Parameters

  - ##### recordId: string

  #### Returns Promise<LargeProperty[]>

### readLargeProperty

- readLargeProperty(propertyName: string, recordId?: string): Promise<LargeProperty>

- Inherited from Dialog.readLargeProperty

  - Defined in models/Dialog.ts:249

  Read a large property into memory

  #### Parameters

  - ##### propertyName: string

  - ##### Optional recordId: string

  #### Returns Promise<LargeProperty>

### reopenSearch

- reopenSearch(): Promise<EditorDialog | Redirection>

- - Defined in models/SearchDialog.ts:160

  Reopen the search dialog for writing

  #### Returns Promise<EditorDialog | Redirection>

### setAscending

- setAscending(propName: string, sortFieldPriority?: number): void

- - Defined in models/SearchDialog.ts:169

  Set the sort direction for a property to ascending

  #### Parameters

  - ##### propName: string

  - ##### Default value sortFieldPriority: number = 0

  #### Returns void

### setDescending

- setDescending(propName: string, sortFieldPriority?: number): void

- - Defined in models/SearchDialog.ts:178

  Set the sort direction for a property to descending

  #### Parameters

  - ##### propName: string

  - ##### Default value sortFieldPriority: number = 0

  #### Returns void

### setKeywordSearchValue

- setKeywordSearchValue(keyword: string): void

- - Defined in models/SearchDialog.ts:196

  Set the search value for the keyword search. This is a global substring search across all properties

  #### Parameters

  - ##### keyword: string

  #### Returns void

### setLargePropertyWithDataUrl

- setLargePropertyWithDataUrl(name: string, dataUrl: string): Property

- Inherited from EditorDialog.setLargePropertyWithDataUrl

  - Defined in models/EditorDialog.ts:297

  Set a binary property from a string formatted as a 'data url' See https://en.wikipedia.org/wiki/Data_URI_scheme

  #### Parameters

  - ##### name: string

  - ##### dataUrl: string

  #### Returns Property

### setLargePropertyWithEncodedData

- setLargePropertyWithEncodedData(name: string, encodedData: string, mimeType?: string): Property

- Inherited from EditorDialog.setLargePropertyWithEncodedData

  - Defined in models/EditorDialog.ts:312

  Set a binary property with base64 encoded data

  #### Parameters

  - ##### name: string

  - ##### encodedData: string

  - ##### Optional mimeType: string

  #### Returns Property

### setPropertyValue

- setPropertyValue(name: string, value: any): Property

- Inherited from EditorDialog.setPropertyValue

  - Defined in models/EditorDialog.ts:258

  Set the value of a property in this Record. Values may be already constructed target types (CodeRef, TimeValue, Date, etc.) or primitives, in which case the values will be parsed and objects constructed as necessary.

  #### Parameters

  - ##### name: string

  - ##### value: any

  #### Returns Property

### setSearchValue

- setSearchValue(propName: string, searchValue: string): void

- - Defined in models/SearchDialog.ts:187

  Set the search value for a property

  #### Parameters

  - ##### propName: string

  - ##### searchValue: string

  #### Returns void

### setSearchValueOperation

- setSearchValueOperation(propName: string, operator: FilterOperator): void

- - Defined in models/SearchDialog.ts:205

  Set the filter operator type for a property to one of FilterOperatorEnum

  #### Parameters

  - ##### propName: string

  - ##### operator: FilterOperator

  #### Returns void

### setSortValue

- setSortValue(propName: string, sortDirection?: SortDirection, sortFieldPriority?: number): void

- - Defined in models/SearchDialog.ts:215

  Set the sort direction for a property to one of SortDirectionEnum

  #### Parameters

  - ##### propName: string

  - ##### Default value sortDirection: SortDirection = SortDirectionEnum.ASC

  - ##### Default value sortFieldPriority: number = 0

  #### Returns void

### streamLargeProperty

- streamLargeProperty(streamConsumer: StreamConsumer, propertyName: string, recordId?: string): Promise<LargeProperty>

- Inherited from Dialog.streamLargeProperty

  - Defined in models/Dialog.ts:263

  Stream the encoded chunks of a large property without retaining them The streamConsumer will receive Base64 encoded chunks with callbacks. hasMore will be false with the final chunk.

  #### Parameters

  - ##### streamConsumer: StreamConsumer

  - ##### propertyName: string

  - ##### Optional recordId: string

  #### Returns Promise<LargeProperty>

### submitSearch

- submitSearch(): Promise<EditorDialog | Redirection>

- - Defined in models/SearchDialog.ts:223

  Submit the search dialog (write)

  #### Returns Promise<EditorDialog | Redirection>

### Protected updateSettingsWithNewDialogProperties

- updateSettingsWithNewDialogProperties(referringObject: ReferringObject): void

- Inherited from Dialog.updateSettingsWithNewDialogProperties

  - Defined in models/Dialog.ts:320

  #### Parameters

  - ##### referringObject: ReferringObject

  #### Returns void

### write

- write(): Promise<EditorDialog | Redirection>

- Inherited from EditorDialog.write

  - Defined in models/EditorDialog.ts:326

  Write this record (i.e. Record} back to the server

  #### Returns Promise<EditorDialog | Redirection>

### Protected writeAttachment

- writeAttachment(attachment: Attachment): Promise<void>

- Inherited from Dialog.writeAttachment

  - Defined in models/Dialog.ts:337

  #### Parameters

  - ##### attachment: Attachment

  #### Returns Promise<void>

### Protected writeAttachments

- writeAttachments(record: Record): Promise<void[]>

- Inherited from Dialog.writeAttachments

  - Defined in models/Dialog.ts:344

  #### Parameters

  - ##### record: Record

  #### Returns Promise<void[]>

### Protected writeLargeProperties

- writeLargeProperties(record: Record): Promise<void[]>

- Inherited from Dialog.writeLargeProperties

  - Defined in models/Dialog.ts:363

  Write all Binary values in this Record back to the server

  #### Parameters

  - ##### record: Record

  #### Returns Promise<void[]>

### Protected writeLargeProperty

- writeLargeProperty(propertyName: string, largeProperty: LargeProperty): Promise<void>

- Inherited from Dialog.writeLargeProperty

  - Defined in models/Dialog.ts:375

  #### Parameters

  - ##### propertyName: string

  - ##### largeProperty: LargeProperty

  #### Returns Promise<void>

### Static getSubType

- getSubType(jsonObj: StringDictionary): string

- Inherited from EditorDialog.getSubType

  - Defined in models/EditorDialog.ts:33

  #### Parameters

  - ##### jsonObj: StringDictionary

  #### Returns string

### Static isSearchDialog

- isSearchDialog(dialog: any): boolean

- Inherited from Dialog.isSearchDialog

  - Defined in models/Dialog.ts:58

  #### Parameters

  - ##### dialog: any

  #### Returns boolean

### Static loadLargeProperty

- loadLargeProperty(getPropertyFn: function, streamConsumer?: StreamConsumer, propertyName?: string, recordId?: string): Promise<LargeProperty>

- Inherited from Dialog.loadLargeProperty

  - Defined in models/Dialog.ts:449

  Read a large property into memory or stream it, if a streamConsumer is provided The actual service call that retrieves the result is delegate to the 'getPropertyFn'

  #### Parameters

  - ##### getPropertyFn: function

    - - (params: ReadLargePropertyParameters, propertyName?: string): Promise<LargeProperty>

      - #### Parameters

        - ##### params: ReadLargePropertyParameters

        - ##### Optional propertyName: string

        #### Returns Promise<LargeProperty>

  - ##### Optional streamConsumer: StreamConsumer

  - ##### Optional propertyName: string

  - ##### Optional recordId: string

  #### Returns Promise<LargeProperty>

Generated using TypeDoc